<?
include '../system/funcs.php';
include '../system/sys.php';
if (!isset ($us)) {
        header ('location: /error.php');
        exit;
}

H ('Генерация пароля');
if(isset($_GET['generate'])){
	if($_POST['countnum'] > 128){
		$countnum = 128;
	}else{
		$countnum = abs(intval($_POST['countnum']));
	}
	if(empty($_POST['symbols'])){
		$symbols = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789_-@#$%^&*()!,.';
	}else{
		$symbols = htmlspecialchars($_POST['symbols']);
	}
	if(!empty($countnum)){
		$num = strlen($symbols)-1;
		$password = null;
		while($countnum--){
			$password.=$symbols[rand(0,$num)];
		}
		$pass = "Пароль: ".$password."\r\n";
			file_put_contents('passwords.log',$pass,FILE_APPEND);
echo '<div class="raz"> Сгенерированный пароль: '.$password.'</div>';
	}else{
		echo '<center>Введите длину пароля!</center>';
	}
}
?>
<div class="raz"><center><form action="?generate" method="post">
Длина пароля:<br/>
<input type="text" name="countnum" placeholder="Длина"><br/>
Символы, используемые в пароле(оставьте пустым, если хотите использовать все символы):<br/>
<input type="text" name="symbols" placeholder="Символы"><br/>
<input type="submit" name="generate" value="Генерировать">
</div>
</form>
<div class="raz"><a href="/srv"> <img src="../styles/snowy/image/ind.png" alt="*"> Назад</a></div>
<div class="navg"><img src="/images/homepage.gif" alt=""/> <a href="/">На главную</a></div>
        
        
<table style="width: 100%" cellspacing="0"><tbody><tr> <td class="blk" style="width:
55%"><center> 
</center> </td>     
<div class="blk">
                
® WAP-MAS.RU 2015
        
                
        </div>

      


<div class=""><a href="http://toput.ru/in/37.php"><img src="http://toput.ru/count/big/37.gif" alt="toput.ru"/>
<a href="http://fire-top.ru/in/6.php"><img src="http://fire-top.ru/count/big/6.gif" alt="fire-top.ru"/></a>
</a></div>